use serde::{Serialize, Deserialize};

#[derive(Serialize, Deserialize, Debug)]
pub struct Channel {
    pub id: String,
    pub guild_id: String,
    pub name: String,
    pub topic: Option<String>,
}

#[derive(Serialize, Deserialize, Debug, Clone)]
pub struct PartialChannel {
    pub id: String,
    pub name: String,
}
